package com.datacloudsec.response;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/* loaded from: com_datacloudsec_response.jar:com/datacloudsec/response/RedirectResponse.class */
public class RedirectResponse implements IResponse {
    private boolean success = true;
    private String uri;

    public RedirectResponse(String uri) {
        this.uri = uri;
    }

    @Override // com.datacloudsec.response.IResponse
    public void shipToResponse(HttpServletRequest request, HttpServletResponse response) {
        try {
            if (!this.uri.startsWith("/")) {
                this.uri = "/" + this.uri;
            }
            response.sendRedirect(this.uri);
        } catch (Exception e) {
            LOG.error("下载文件出错", e);
        }
    }

    @Override // com.datacloudsec.response.IResponse
    public boolean isSuccess() {
        return this.success;
    }
}
